# IoT Arduino 
- Année : M2 IWOCS 2019-2020
- Matière: Internet des Objet (Arduino)
- Projet : Voiture suivi de tracé

## Auteur(s)

|Nom|Prénom|login|email|
|--|--|--|--|
| *KOUTO* | *Dosseh*| *kd184351* | *dosseh.kouto@etu.univ-lehavre.fr* |
| *IBRAHIM* | *Fawaz*| *if195111* | *fawaz.ibrahim@etu.univ-lehavre.fr* |
| *BELKAID* | *Radia*| *br191348* | *radia.belkaid@etu.univ-lehavre.fr* |



## Travail réaliser

Dans ce projet, on vous montrera comment créer un robot anti-obstacle basé sur Arduino en utilisant un capteur ultrasonique HC-SR04.

Nous disposons également d’une interface Web avec 3 boutons:
- Rouler : Permettant de faire rouler la voiture. 
- Enregistrer : Permet d’enregistrer  le parcours de la voiture sur une base de données (MongoDB). 
- Jouer dernier enregistrement :Permet de jouer le dernier  parcours de la voiture.
 
Nous avons surmontés quelques difficultés pour le mener à bien et on a finalement réussi à terminer le projet. 


![](data/voiture.png)

![](data/interface.png)

## Composants matériels :

-   1x Arduino Uno
- 1x Chassie (découper a votre manière résistant sur lequel on pourra monter les roues et les autres composants)
- 1x Arduino Motor Shield L293D
- 1x HC-SR04 Ultrasonic Sensor 
- 2x Motor + Gearbox 
- 2x Wheels 
- 1x Caster wheel 
- 1x 9v Battery 
- 1/* Ruban adhésif (Choisissez les couleurs que vous voulez.
- 8x wires females
- 8x wires males
- 8x wires males-females



## Composants logiciels:

On a utiliser le logiciels arduino pour programmer la carte arduino.
    
Concernant l’interface Web, on a utiliser Express.js pour le back-end, hbs pour le front-end en associant la composante graphique svg pour modéliser la voiture et ses déplacements sur l’interface.

## Montage:

![](data/schema.JPG)

On a utiliser le logiciels fritzing pour modéliser le schema.


    

